
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&family=IBM+Plex+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Alegreya:ital,wght@0,400..900;1,400..900&display=swap');
/* *{ 
    font-family: "Cinzel", serif;
    margin: 0;
    padding: 0;
    color: rgb(255, 255, 255);
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
} */


body{
    font-family: "Poppins", serif;
    margin: 0;
    background-color: #000;
    color: #eee;
    font-family: Poppins;
    font-size: 12px;
}
a,h1,.title{
    font-family: "Cinzel", serif;
    text-decoration: none;
}
header{
    width: 1140px;
    max-width: 80%;
    margin: auto;
    height: 50px;
    /* display: flex; */
    align-items: center;
    position: relative;
    z-index: 100;
    position:fixed;
    top:0;
    left:10%;
}
header a{
    color: #eee;
    margin-right: 40px;
}
header a:hover{
    color: #FFFF;
    
}
/* carousel */
.carousel{
    height: 100vh;
    margin-top: -50px;
    width: 100vw;
    overflow: hidden;
    position: relative;
}
.carousel .list .item{
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0 0 0 0;
}
.carousel .list .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.carousel .list .item .content{
    position: absolute;
    top: 30%;
    width: 1140px;
    max-width: 100%;
    left: 50%;
    transform: translateX(-50%);
    padding-right: 30%;
    box-sizing: border-box;
    color: #fff;
    text-shadow: 0 5px 10px #0004;
}
.carousel .list .item .author{
    font-weight: bold;
    letter-spacing: 10px;
}
.carousel .list .item .title,
.carousel .list .item .topic{
    font-size: 5em;
    font-weight: bold;
    line-height: 1.3em;
}
.carousel .list .item .topic{
    color: #f1683a;
}
.carousel .list .item .buttons{
    display: grid;
    grid-template-columns: repeat(2, 130px);
    grid-template-rows: 40px;
    gap: 5px;
    margin-top: 20px;
}
.carousel .list .item .buttons a{
    border: none;
    background-color: #eee;
    font-family: Poppins;
    font-weight: 500;
    display:flex;
    justify-content: center;
    align-items: center;
    color: #000000 !important;
    text-transform: uppercase;
     
}
.carousel .list .item .buttons a:nth-child(2){
    background-color: transparent;
    border: 1px solid #fff;    
    color: #eee !important;
}
/* thumbail */
.thumbnail{
    position: absolute;
    bottom: 50px;
    left: 87%;
    width: max-content;
    z-index: 100;
    display: flex;
    gap: 20px;
}
.thumbnail .item{
    width: 150px;
    height: 220px;
    flex-shrink: 0;
    position: relative;
}
.thumbnail .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}
.thumbnail .item .content{
    color: #fff;
    position: absolute;
    bottom: 10px;
    left: 10px;
    right: 10px;
}
.thumbnail .item .content .title{
    font-weight: 500;
}
.thumbnail .item .content .description{
    font-weight: 300;
}
/* arrows */
.arrows{
    position: absolute;
    top: 90%;
    right: 35%;
    z-index: 100;
    width: 300px;
    max-width: 30%;
    display: flex;
    gap: 10px;
    align-items: center;
    left:81%;
}
.arrows button{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #eee4;
    border: none;
    color: #fff;
    font-family: monospace;
    font-weight: bold;
    transition: .5s;
}
.arrows button:hover{
    background-color: #fff;
    color: #000;
}

/* animation */
.carousel .list .item:nth-child(2){
    z-index: 1;
}

/* animation text in first item */

.carousel .list .item:nth-child(2) .content .author,
.carousel .list .item:nth-child(2) .content .title,
.carousel .list .item:nth-child(2) .content .topic,
.carousel .list .item:nth-child(2) .content .des,
.carousel .list .item:nth-child(2) .content .buttons
{
    transform: translateY(50px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent .5s 1s linear 1 forwards;
}
@keyframes showContent{
    to{
        transform: translateY(0px);
        filter: blur(0px);
        opacity: 1;
    }
}
.carousel .list .item:nth-child(0) .content .title{
    animation-delay: 1.2s!important;
}
.carousel .list .item:nth-child(0) .content .topic{
    animation-delay: 1.4s!important;
}
.carousel .list .item:nth-child(0) .content .des{
    animation-delay: 1.6s!important;
}
.carousel .list .item:nth-child(0) .content .buttons{
    animation-delay: 1.8s!important;
}
/* create animation when next click */
.carousel.next .list .item:nth-child(2) img{
    width: 150px;
    height: 220px;
    position: absolute;
    bottom: 50px;
    left: 50%;
    border-radius: 30px;
    animation: showImage .5s linear 1 forwards;
}
@keyframes showImage{
    to{
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 0;
    }
}

.carousel.next .thumbnail .item:nth-last-child(1){
    overflow: hidden;
    animation: showThumbnail .5s linear 1 forwards;
}
.carousel.prev .list .item img{
    z-index: 100;
}
@keyframes showThumbnail{
    from{
        width: 0;
        opacity: 0;
    }
}
.carousel.next .thumbnail{
    animation: effectNext .5s linear 1 forwards;
}

@keyframes effectNext{
    from{
        transform: translateX(150px);
    }
}

/* running time */

.carousel .time{
    position: absolute;
    z-index: 1000;
    width: 0%;
    height: 3px;
    background-color: #f1683a;
    left: 0;
    top: 0;
}

.carousel.next .time,
.carousel.prev .time{
    animation: runningTime .1s linear 0.1 forwards;
}
@keyframes runningTime{
    from{ width: 100%}
    to{width: 0}
}


/* prev click */

.carousel.prev .list .item:nth-child(0){
    z-index: 2;
}

.carousel.prev .list .item:nth-child(0) img{
    animation: outFrame 0.5s linear 1 forwards;
    position: absolute;
    bottom: 0;
    left: 0;
}
@keyframes outFrame{
    to{
        width: 150px;
        height: 220px;
        bottom: 50px;
        left: 50%;
        border-radius: 20px;
    }
}

.carousel.prev .thumbnail .item:nth-child(0){
    overflow: hidden;
    opacity: 0;
    animation: showThumbnail .5s linear 1 forwards;
}
/* .carousel.next .arrows button,
.carousel.prev .arrows button{
    pointer-events: none;
} */
.carousel.prev .list .item:nth-child(0) .content .author,
.carousel.prev .list .item:nth-child(0) .content .title,
.carousel.prev .list .item:nth-child(0) .content .topic,
.carousel.prev .list .item:nth-child(0) .content .des,
.carousel.prev .list .item:nth-child(0) .content .buttons
{
    animation: contentOut 0.5s linear 1 forwards!important;
}

@keyframes contentOut{
    to{
        transform: translateY(-150px);
        filter: blur(20px);
        opacity: 0;
    }
}
@media screen and (max-width: 678px) {
    .carousel .list .item .content{
        padding-right: 0;
    }
    .carousel .list .item .content .title{
        font-size: 30px;
    }
    .thumbnail .item .content {
        top: 78% !important;
        left: 10% !important;
    }

    .arrows{
        top:90%;
        left: 46%;

    }
    .thumbnail{
    top: 73%;        
    left: 65%;
    
    }

    .sticky{
        position:relative !important;
    }
}

@media (min-width: 679px) and (max-width: 1024px) {
    
    .arrows{
        top:92%;
        left: 67%;
    }
    .thumbnail{    
    left: 80%;
    
    }

    .carousel .list .item .content .title{
        font-size: 24px;
        
    } 
    .sticky{
        position:relative !important;
    }

}

@media (min-width: 1025px) and (max-width: 1440px) {
    
    .arrows{
        top:90%;
        left: 72%;

    }
    .thumbnail{    
    left: 80%;
    
    }

    .carousel .list .item .content .title{
        font-size: 48px;
    } 

}

/* @media (min-width: 1025px) and (max-width: 1440px) {
    
    .arrows{
        top:57%;
        left: 83%;

    }
    .thumbnail{    
    left: 80%;
    
    }

    .carousel .list .item .content .title{
        font-size: 24px;
    } 

}
 */
/* @media (min-width: 1440px) and (max-width: 1400px) {
    
    .arrows{
        top:50%;

    }
    .thumbnail{    
    left: 80%;
    
    }

    .carousel .list .item .content .title{
        font-size: 24px;
    } 

} */


/* waves */
.inner-header {
  height:81vh;
  width:100%;
  margin: 0;
  padding: 0;
}

.ocean-flex { /*Flexbox for containers*/
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.ocean-waves {
  position:relative;
  width: 100%;
  height:15vh;
  margin-bottom:-7px; /*Fix for safari gap*/
  min-height:100px;
  max-height:150px;
}

.ocean-content {
  position:relative;
  height:50vh;
  text-align:center;
  background-color: white;
}

.ocean-header {
  position:relative;
  text-align:center;
  background: linear-gradient(to top, #0c3777 ,#7693b9 );
  color:white;
}
.ocean-logo {
  width:50px;
  fill:white;
  padding-right:15px;
  display:inline-block;
  vertical-align: middle;
}


/* Animation */

.parallax > use {
  animation: move-forever 25s cubic-bezier(.55,.5,.45,.5)     infinite;
}
.parallax > use:nth-child(1) {
  animation-delay: -2s;
  animation-duration: 7s;
}
.parallax > use:nth-child(2) {
  animation-delay: -3s;
  animation-duration: 10s;
}
.parallax > use:nth-child(3) {
  animation-delay: -4s;
  animation-duration: 13s;
}
.parallax > use:nth-child(4) {
  animation-delay: -5s;
  animation-duration: 20s;
}
@keyframes move-forever {
  0% {
   transform: translate3d(-90px,0,0);
  }
  100% { 
    transform: translate3d(85px,0,0);
  }
}
/*Shrinking for mobile*/
@media (max-width: 768px) {
  .waves {
    height:40px;
    min-height:40px;
  }
  .content {
    height:30vh;
  }
  h1 {
    font-size:24px;
  }
}